<?PHP
// ------------------------------------------------------------------------- //
// <G a n e s h a> - Free Web Based Training System                          //
// ------------------------------------------------------------------------- //
// <G a n e s h a> - Plate-forme de téléformation gratuite et en open source //
// ------------------------------------------------------------------------- //
// Copyright (C) 2001-2003  Anéma Formation  <http://www.anema.fr/>          //
// ------------------------------------------------------------------------- //
//            Developer : Georges CALDEIRA <gcaldeira@anemalab.org>          //
// ------------------------------------------------------------------------- //
//               Infos on project <http://anemalab.org/>                     //
// ------------------------------------------------------------------------- //
//  This program is free software; you can redistribute it and/or modify     //
//  it under the terms of the GNU General Public License as published by     //
//  the Free Software Foundation; either version 2 of the License, or        //
//  (at your option) any later version.                                      //
//                                                                           //
//  This program is distributed in the hope that it will be useful,          //
//  but WITHOUT ANY WARRANTY; without even the implied warranty of           //
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the            //
//  GNU General Public License for more details.                             //
//                                                                           //
//  You should have received a copy of the GNU General Public License        //
//  along with this program; if not, write to the Free Software              //
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA //
// ------------------------------------------------------------------------- //

/**
* Page d'accueil de la partie Admin
*
* @author	Georges Caldeira <gcaldeira@anemalab.org>
* @package	GaneshaAdmin
*/
	/**
	* include des fichiers + verification de la cnx
	*/
	include_once("anema.inc.php");
	
	debugf(__FILE__);
	
    /**#@+
    * @access public
	* @ignore
	*/
	define('SUBMENU',	MENU_ACCEUIL);
	define('ACTION',	(isset($HTTP_GET_VARS['action'])?$HTTP_GET_VARS['action']:''))	;
	define('PAGE',		HTTP_ADMIN.$PAGE_ADMIN[SUBMENU]."?connexion=".$gconnexionid)	;
	/**#@-*/
	
/**
* Gestion de la page accueil de l'admin
* @author	Georges Caldeira <gcaldeira@anemalab.org>
* @access	public
* @package	GaneshaAdmin
*/
class PageAccueilAdmin {
		
	/**
	* Liste de toutes les connexions
	* @access	public
	*/	
     function Liste() { 
		global $ad_menu, $ad_form, $color3 ;
		global $ClsGroupe, $ClsMembre ;
		GetTitre($ad_menu[1]);
        // Selectionner les groupes
        $grp = $ClsGroupe->read();
        for($i=0;$i<$grp['cnt'];$i++) {
        	$user = $ClsMembre->readCnx($grp[$i]['id']);
            BeginBorder("90%",$color3);
			SubTitleImage(CSS($grp[$i]['name']),IMG_GRP);
            InitTableau() ;
            DebutLigne() ;
            TitreTableau($ad_form['nom'],50) ;
            TitreTableau($ad_form['lastcnx'],50) ;
            FinLigne() ;
            for($j=0;$j<$user['cnt'];$j++) {
                DebutLigne() ;
                ColTableau(CSS(Unreplace($user[$j]['name']))) ;
                ColTableau(ReplaceDate($user[$j]['cnx'])) ;
                FinLigne() ;
            }
            FermeTableau();
            BR();
            CloseBorder();
            BR();
        }
		GoTop();        
     }

	/**
	* Traitement des variables POST et redirection
	* @access	public
	*/	
	function traite_post() {
		return(true);
	}

	/**
	* Traitement des variables POST et redirection
	* @access	public
	*/		
	function traite_get() {
		return(true);
	}

} // class 


/**
* Instance de la classe PageAccueilAdmin
* @var	object	PageAccueilAdmin
*/
$ClsPageAdmin = new PageAccueilAdmin ;


	// Affichage de la page
	pageAdmin();

?>